unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls;

type
  TForm2 = class(TForm)
    Image1: TImage;
    btnImageSave: TButton;
    OpenDialog1: TOpenDialog;
    btnImageLoad: TButton;
    SaveDialog1: TSaveDialog;
    procedure btnImageSaveClick(Sender: TObject);
    procedure btnImageLoadClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.btnImageLoadClick(Sender: TObject);
var
  wic: TWICImage;
begin
  if OpenDialog1.Execute then
  begin
    wic := TWICImage.Create;
    try
      wic.LoadFromFile(OpenDialog1.FileName);
      Image1.Picture.Assign(wic);
    finally
      wic.Free;
    end;
  end;
end;

procedure TForm2.btnImageSaveClick(Sender: TObject);
var
  wic: TWICImage;
  filter: string;
  filename: string;
begin
  wic := TWICImage.Create;
  try
    wic.Assign(Image1.Picture);
    wic.LoadFromFile(OpenDialog1.FileName);

    case wic.ImageFormat of
    wifBmp:
      begin
        filter := 'Ʈ(*.bmp)|*.bmp';
        Filename := 'image.bmp';
      end;
    wifPng:
      begin
        filter := 'PNG(*.png)|*.png';
        Filename := 'image.png';
      end;
    wifJpeg:
      begin
        filter := 'JPEG(*.jpg)|*.jpg';
        Filename := 'image.jpg';
      end;
    wifGif:
      begin
        filter := 'GIF(*.gif)|*.gif';
        Filename := 'image.gif';
      end;
    else
      begin
        ShowMessage(' ʴ ̹ Դϴ');
        Exit;
      end;
    end;

    SaveDialog1.FileName := filename;
    SaveDialog1.Filter := filter;
    if SaveDialog1.Execute then
    begin
      wic.SaveToFile(SaveDialog1.FileName);
    end;
  finally
    wic.Free;
  end;
end;

end.
